LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XDocumentLanguages Interface Reference

`import"XDocumentLanguages.idl";`

Inheritance diagram for XDocumentLanguages:

## Public Member Functions
sequence< com::sun::star::lang::Locale > | getDocumentLanguages ([in] short nScriptTypes, [in] short nCount) raises ( com::sun::star::lang::IllegalArgumentException )
| retrieve the list of languages already used in current document More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ getDocumentLanguages()

sequence< com::sun::star::lang::Locale > getDocumentLanguages | ( | [in] short | nScriptTypes,
|  | [in] short | nCount
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

retrieve the list of languages already used in current document

Returns
  sequence

The documentation for this interface was generated from the following file:

- com/sun/star/document/XDocumentLanguages.idl